Subject: [quicwg/base-drafts] Inconsistent recommended initial RTT values (#3822)

From: Benjamin Saunders <[email-masked]>
Date: Sun, 05 Jul 2020 11:04:51 -0700

The recovery draft states both:

> [When no previous RTT is available, the initial RTT SHOULD be set to 333ms, resulting in a 1 second initial timeout, as recommended in [RFC6298].](https://quicwg.org/base-drafts/draft-ietf-quic-recovery.html#section-6.2.2-1)

> [kInitialRtt: The RTT used before an RTT sample is taken. The value recommended in Section 6.2.2 is 500ms.](https://quicwg.org/base-drafts/draft-ietf-quic-recovery.html#section-a.2-2.8)

I'm guessing the latter was missed in an edit?

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/3822

---

From: Kazuho Oku <[email-masked]>
Date: Sun, 05 Jul 2020 18:38:53 -0700

> I'm guessing the latter was missed in an edit?

+1. I think we missed to change the definition of kInitialRtt in #3525.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/3822#issuecomment-653973047

---

From: Kazu Yamamoto <[email-masked]>
Date: Tue, 07 Jul 2020 21:41:53 -0700

As I pointed out in #3813, the current pseudo code does not use `kInitialRtt`, which should be fixed.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/3822#issuecomment-655279454

---

From: Jana Iyengar <[email-masked]>
Date: Mon, 13 Jul 2020 18:52:01 -0700

Closed #3822 via #3823.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/3822#event-3542083773